Returns detailed information for a specified amendment.

GET /amendment/:congress/:amendmentType/:amendmentNumber

Example Request

/v3/amendment/117/samdt/2137
::

{
    'amendment': {
        'actions': {
            'count': 19,
            'url': 'https://api.congress.gov/v3/amendment/117/samdt/2137/actions?format=json'
        },
        'amendedBill': {
            'congress': 117,
            'number': '3684',
            'originChamber': 'House',
            'originChamberCode': 'H',
            'title': 'Infrastructure Investment and Jobs Act',
            'type': 'HR',
            'url': 'https://api.congress.gov/v3/bill/117/hr/3684?format=json'
        },
        'amendmentsToAmendment': {
             'count": 507,
             'url": 'https://api.congress.gov/v3/amendment/117/samdt/2137/amendments?format=json'
        },
        'chamber': 'Senate',
        'congress': 117,
        'cosponsors': {
            'count': 9,
            'countIncludingWithdrawnCosponsors': 9,
            'url': 'https://api.congress.gov/v3/amendment/117/samdt/2137/cosponsors?format=json'
        },
        'latestAction': {
            'actionDate': '2021-08-08',
            'text': 'Amendment SA 2137 agreed to in Senate by Yea-Nay Vote. 69 - 28. Record Vote Number: 312.'
        },
        'number': '2137',
        'proposedDate': '2021-08-01T04:00:00Z',
        'purpose': 'In the nature of a substitute.',
        'sponsors': [
            {
                'bioguideId': 'S001191',
                'firstName': 'Kyrsten',
                'fullName': 'Sen. Sinema, Kyrsten [D-AZ]',
                'lastName': 'Sinema',
                'url': 'https://api.congress.gov/v3/member/S001191?format=json'
            }
        ],
        'submittedDate': '2021-08-01T04:00:00Z',
        'type': 'SAMDT'
        'updateDate': '2022-02-08T17:27:59Z',
    }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

string
required

The type of amendment. Value can be hamdt, samdt, or suamdt.

integer
required

The amendment's assigned number. For example, the value can be 2137.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!